Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# POA_ImplementationRepository::_TAO_Locator_ThruPOA_Proxy_Impl Class Reference

`#include <ImR_LocatorS.h>`

Inheritance diagram for POA_ImplementationRepository::_TAO_Locator_ThruPOA_Proxy_Impl:

[legend]
Collaboration diagram for POA_ImplementationRepository::_TAO_Locator_ThruPOA_Proxy_Impl:

[legend]
List of all members.

## Public Methods
| _TAO_Locator_ThruPOA_Proxy_Impl (void)
virtual | ~_TAO_Locator_ThruPOA_Proxy_Impl (void)
## Static Public Methods
void | activate_server_in_activator (TAO_Abstract_ServantBase *servant, TAO::Argument **args, int num_args ACE_ENV_ARG_DECL) throw ( CORBA::SystemException , ImplementationRepository::NotFound , ImplementationRepository::CannotActivate )
void | remove_server_in_activator (TAO_Abstract_ServantBase *servant, TAO::Argument **args, int num_args ACE_ENV_ARG_DECL) throw ( CORBA::SystemException , ImplementationRepository::NotFound )
void | shutdown_server_in_activator (TAO_Abstract_ServantBase *servant, TAO::Argument **args, int num_args ACE_ENV_ARG_DECL) throw ( CORBA::SystemException , ImplementationRepository::NotFound )
void | server_is_shutting_down_in_activator (TAO_Abstract_ServantBase *servant, TAO::Argument **args, int num_args ACE_ENV_ARG_DECL) throw ( CORBA::SystemException , ImplementationRepository::NotFound )
void | register_activator (TAO_Abstract_ServantBase *servant, TAO::Argument **args, int num_args ACE_ENV_ARG_DECL) throw ( CORBA::SystemException )
void | unregister_activator (TAO_Abstract_ServantBase *servant, TAO::Argument **args, int num_args ACE_ENV_ARG_DECL) throw ( CORBA::SystemException )
void | server_is_running_in_activator (TAO_Abstract_ServantBase *servant, TAO::Argument **args, int num_args ACE_ENV_ARG_DECL) throw ( CORBA::SystemException , ImplementationRepository::NotFound )
void | find_in_activator (TAO_Abstract_ServantBase *servant, TAO::Argument **args, int num_args ACE_ENV_ARG_DECL) throw ( CORBA::SystemException , ImplementationRepository::NotFound )
void | activate_server (TAO_Abstract_ServantBase *servant, TAO::Argument **args, int num_args ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, ImplementationRepository::NotFound, ImplementationRepository::CannotActivate )
void | activate_server_with_startup (TAO_Abstract_ServantBase *servant, TAO::Argument **args, int num_args ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, ImplementationRepository::NotFound, ImplementationRepository::CannotActivate )
void | register_server (TAO_Abstract_ServantBase *servant, TAO::Argument **args, int num_args ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, ImplementationRepository::AlreadyRegistered, ImplementationRepository::NotFound )
void | reregister_server (TAO_Abstract_ServantBase *servant, TAO::Argument **args, int num_args ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, ImplementationRepository::AlreadyRegistered, ImplementationRepository::NotFound )
void | remove_server (TAO_Abstract_ServantBase *servant, TAO::Argument **args, int num_args ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, ImplementationRepository::NotFound )
void | shutdown_server (TAO_Abstract_ServantBase *servant, TAO::Argument **args, int num_args ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, ImplementationRepository::NotFound )
void | server_is_running (TAO_Abstract_ServantBase *servant, TAO::Argument **args, int num_args ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, ImplementationRepository::NotFound )
void | server_is_shutting_down (TAO_Abstract_ServantBase *servant, TAO::Argument **args, int num_args ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, ImplementationRepository::NotFound )
void | find (TAO_Abstract_ServantBase *servant, TAO::Argument **args, int num_args ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, ImplementationRepository::NotFound )
void | list (TAO_Abstract_ServantBase *servant, TAO::Argument **args, int num_args ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
void | find_ior (TAO_Abstract_ServantBase *servant, TAO::Argument **args, int num_args ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, ImplementationRepository::NotFound )

## Constructor & Destructor Documentation

POA_ImplementationRepository::_TAO_Locator_ThruPOA_Proxy_Impl::_TAO_Locator_ThruPOA_Proxy_Impl | ( | void |  | ) |

virtual POA_ImplementationRepository::_TAO_Locator_ThruPOA_Proxy_Impl::~_TAO_Locator_ThruPOA_Proxy_Impl | ( | void |  | ) | `[inline, virtual]`

## Member Function Documentation

ACE_INLINE void POA_ImplementationRepository::_TAO_Locator_ThruPOA_Proxy_Impl::activate_server | ( | TAO_Abstract_ServantBase * | servant,
|  | TAO::Argument ** | args,
|  | int num_args | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException, ImplementationRepository::NotFound, ImplementationRepository::CannotActivate )`[static]`

| Reimplemented from POA_ImplementationRepository::_TAO_Administration_ThruPOA_Proxy_Impl.

void POA_ImplementationRepository::_TAO_Locator_ThruPOA_Proxy_Impl::activate_server_in_activator | ( | TAO_Abstract_ServantBase * | servant,
|  | TAO::Argument ** | args,
|  | int num_args | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound , ImplementationRepository::CannotActivate )`[static]`

ACE_INLINE void POA_ImplementationRepository::_TAO_Locator_ThruPOA_Proxy_Impl::activate_server_with_startup | ( | TAO_Abstract_ServantBase * | servant,
|  | TAO::Argument ** | args,
|  | int num_args | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException, ImplementationRepository::NotFound, ImplementationRepository::CannotActivate )`[static]`

| Reimplemented from POA_ImplementationRepository::_TAO_Administration_ThruPOA_Proxy_Impl.

ACE_INLINE void POA_ImplementationRepository::_TAO_Locator_ThruPOA_Proxy_Impl::find | ( | TAO_Abstract_ServantBase * | servant,
|  | TAO::Argument ** | args,
|  | int num_args | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException, ImplementationRepository::NotFound )`[static]`

| Reimplemented from POA_ImplementationRepository::_TAO_Administration_ThruPOA_Proxy_Impl.

void POA_ImplementationRepository::_TAO_Locator_ThruPOA_Proxy_Impl::find_in_activator | ( | TAO_Abstract_ServantBase * | servant,
|  | TAO::Argument ** | args,
|  | int num_args | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[static]`

ACE_INLINE void POA_ImplementationRepository::_TAO_Locator_ThruPOA_Proxy_Impl::find_ior | ( | TAO_Abstract_ServantBase * | servant,
|  | TAO::Argument ** | args,
|  | int num_args | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException, ImplementationRepository::NotFound )`[static]`

| Reimplemented from POA_ImplementationRepository::_TAO_Administration_ThruPOA_Proxy_Impl.

ACE_INLINE void POA_ImplementationRepository::_TAO_Locator_ThruPOA_Proxy_Impl::list | ( | TAO_Abstract_ServantBase * | servant,
|  | TAO::Argument ** | args,
|  | int num_args | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException )`[static]`

| Reimplemented from POA_ImplementationRepository::_TAO_Administration_ThruPOA_Proxy_Impl.

void POA_ImplementationRepository::_TAO_Locator_ThruPOA_Proxy_Impl::register_activator | ( | TAO_Abstract_ServantBase * | servant,
|  | TAO::Argument ** | args,
|  | int num_args | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException )`[static]`

ACE_INLINE void POA_ImplementationRepository::_TAO_Locator_ThruPOA_Proxy_Impl::register_server | ( | TAO_Abstract_ServantBase * | servant,
|  | TAO::Argument ** | args,
|  | int num_args | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException, ImplementationRepository::AlreadyRegistered, ImplementationRepository::NotFound )`[static]`

| Reimplemented from POA_ImplementationRepository::_TAO_Administration_ThruPOA_Proxy_Impl.

ACE_INLINE void POA_ImplementationRepository::_TAO_Locator_ThruPOA_Proxy_Impl::remove_server | ( | TAO_Abstract_ServantBase * | servant,
|  | TAO::Argument ** | args,
|  | int num_args | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException, ImplementationRepository::NotFound )`[static]`

| Reimplemented from POA_ImplementationRepository::_TAO_Administration_ThruPOA_Proxy_Impl.

void POA_ImplementationRepository::_TAO_Locator_ThruPOA_Proxy_Impl::remove_server_in_activator | ( | TAO_Abstract_ServantBase * | servant,
|  | TAO::Argument ** | args,
|  | int num_args | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[static]`

ACE_INLINE void POA_ImplementationRepository::_TAO_Locator_ThruPOA_Proxy_Impl::reregister_server | ( | TAO_Abstract_ServantBase * | servant,
|  | TAO::Argument ** | args,
|  | int num_args | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException, ImplementationRepository::AlreadyRegistered, ImplementationRepository::NotFound )`[static]`

| Reimplemented from POA_ImplementationRepository::_TAO_Administration_ThruPOA_Proxy_Impl.

ACE_INLINE void POA_ImplementationRepository::_TAO_Locator_ThruPOA_Proxy_Impl::server_is_running | ( | TAO_Abstract_ServantBase * | servant,
|  | TAO::Argument ** | args,
|  | int num_args | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException, ImplementationRepository::NotFound )`[static]`

| Reimplemented from POA_ImplementationRepository::_TAO_Administration_ThruPOA_Proxy_Impl.

void POA_ImplementationRepository::_TAO_Locator_ThruPOA_Proxy_Impl::server_is_running_in_activator | ( | TAO_Abstract_ServantBase * | servant,
|  | TAO::Argument ** | args,
|  | int num_args | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[static]`

ACE_INLINE void POA_ImplementationRepository::_TAO_Locator_ThruPOA_Proxy_Impl::server_is_shutting_down | ( | TAO_Abstract_ServantBase * | servant,
|  | TAO::Argument ** | args,
|  | int num_args | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException, ImplementationRepository::NotFound )`[static]`

| Reimplemented from POA_ImplementationRepository::_TAO_Administration_ThruPOA_Proxy_Impl.

void POA_ImplementationRepository::_TAO_Locator_ThruPOA_Proxy_Impl::server_is_shutting_down_in_activator | ( | TAO_Abstract_ServantBase * | servant,
|  | TAO::Argument ** | args,
|  | int num_args | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[static]`

ACE_INLINE void POA_ImplementationRepository::_TAO_Locator_ThruPOA_Proxy_Impl::shutdown_server | ( | TAO_Abstract_ServantBase * | servant,
|  | TAO::Argument ** | args,
|  | int num_args | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException, ImplementationRepository::NotFound )`[static]`

| Reimplemented from POA_ImplementationRepository::_TAO_Administration_ThruPOA_Proxy_Impl.

void POA_ImplementationRepository::_TAO_Locator_ThruPOA_Proxy_Impl::shutdown_server_in_activator | ( | TAO_Abstract_ServantBase * | servant,
|  | TAO::Argument ** | args,
|  | int num_args | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[static]`

void POA_ImplementationRepository::_TAO_Locator_ThruPOA_Proxy_Impl::unregister_activator | ( | TAO_Abstract_ServantBase * | servant,
|  | TAO::Argument ** | args,
|  | int num_args | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException )`[static]`

The documentation for this class was generated from the following files:

- ImR_LocatorS.h
- ImR_LocatorS.cpp
- ImR_LocatorS.i